#include "SynEngine.hpp"

int main(int argc, char const *argv[])
{
    GameConfiguration config = GameConfiguration("Configurations");
    sf::RenderWindow render(sf::VideoMode(800, 600), "Test");

    if (render.isOpen())
    {
        render.clear(config.GetBackgroundColor());
        render.draw(config.GetSprite(0, sf::Vector2f(0, 0)));
        render.draw(config.GetSprite(1, sf::Vector2f(50, 0)));
        render.draw(config.GetSprite(2, sf::Vector2f(100, 0)));
        render.draw(config.GetSprite(3, sf::Vector2f(0, 50)));
        render.draw(config.GetSprite(4, sf::Vector2f(50, 50)));
        render.draw(config.GetSprite(5, sf::Vector2f(100, 50)));
        render.display();
        sf::sleep(sf::milliseconds(3000));
    }
    
    std::cout << "/)(\\";
    return 0;
}
